Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetAuthErrorDao

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetAuthErrorDao

All Implemented Interfaces:
  `AutoCloseable`

public class InetAuthErrorDao extends Object implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAuthErrorDao(ConnectionSet connectionSet, int mid, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(InetAuthError error)`
  `void`
  `addError(InetAuthError error, boolean update)`
  `void`
  `addError(InetAuthError error, ConnectionLogEntry logEntry, boolean update)`
  `void`
  `close()`
  `Result<InetAuthError>`
  `errorList(Date timeFrom, Date timeTo, Set<Integer> deviceIds, Set<Integer> contractIds, Set<Integer> serviceIds, String contract, String login, Page page)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetAuthErrorDao

    public InetAuthErrorDao(ConnectionSet connectionSet, int mid, Date date)

- ## Method Details

  - ### addError

    public void addError(InetAuthError error) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`

  - ### addError

    public void addError(InetAuthError error, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addError

    public void addError(InetAuthError error, ConnectionLogEntry logEntry, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### errorList

    public Result<InetAuthError> errorList(Date timeFrom, Date timeTo, Set<Integer> deviceIds, Set<Integer> contractIds, Set<Integer> serviceIds, String contract, String login, Page page) throws Exception
    Throws:
      `Exception`